<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.glxp.mipsdl.thirddao.cdxnnkyy.A007Mapper">
  <resultMap id="BaseResultMap" type="com.glxp.mipsdl.entity.cdxnnkyy.A007">
    <!--@mbg.generated-->
    <!--@Table udi_wms_ywj.a007-->
    <id column="INVENTORYCODE" jdbcType="VARCHAR" property="inventorycode" />
    <id column="PRODUCTID" jdbcType="VARCHAR" property="productid" />
    <id column="BATCHNO" jdbcType="VARCHAR" property="batchno" />
    <result column="INVENTORYNAME" jdbcType="VARCHAR" property="inventoryname" />
    <result column="WAREHOUSECODE" jdbcType="VARCHAR" property="warehousecode" />
    <result column="WAREHOUSENAME" jdbcType="VARCHAR" property="warehousename" />
    <result column="PRODUCTDATE" jdbcType="DATE" property="productdate" />
    <result column="EXPIREDATE" jdbcType="DATE" property="expiredate" />
    <result column="COUNT" jdbcType="DECIMAL" property="count" />
    <result column="PRODUCTNAME" jdbcType="VARCHAR" property="productname" />
    <result column="STANDARD" jdbcType="VARCHAR" property="standard" />
    <result column="BZGG" jdbcType="VARCHAR" property="bzgg" />
    <result column="PACKUNIT" jdbcType="VARCHAR" property="packunit" />
    <result column="PREPNSPEC" jdbcType="DECIMAL" property="prepnspec" />
    <result column="PREPNUNIT" jdbcType="VARCHAR" property="prepnunit" />
    <result column="MEASNAME" jdbcType="VARCHAR" property="measname" />
    <result column="REGISTERNO" jdbcType="VARCHAR" property="registerno" />
    <result column="MANUFACTORY" jdbcType="VARCHAR" property="manufactory" />
    <result column="SUPID" jdbcType="VARCHAR" property="supid" />
    <result column="SUPNAME" jdbcType="VARCHAR" property="supname" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    INVENTORYCODE, PRODUCTID, BATCHNO, INVENTORYNAME, WAREHOUSECODE, WAREHOUSENAME, PRODUCTDATE, 
    EXPIREDATE, `COUNT`, PRODUCTNAME, `STANDARD`, BZGG, PACKUNIT, PREPNSPEC, PREPNUNIT, 
    MEASNAME, REGISTERNO, MANUFACTORY, SUPID, SUPNAME
  </sql>
</mapper>